## Controller Python Script "prefs_enhancedheader_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=dublin_core_metas=False, rss_feeds_links=False, ignored_rss_feeds=[]
##title=Update dcEnhancedHeader configuration
##

from Products.CMFCore.utils import getToolByName
from Products.dcEnhancedHeader import dcEnhancedHeaderMessageFactory as _

enhancedheader_tool = getToolByName(context, 'portal_enhancedheader')
utils_tool = getToolByName(context, 'plone_utils')

enhancedheader_tool.setDublinCoreMetas(dublin_core_metas)
enhancedheader_tool.setRssFeedsLinks(rss_feeds_links)
enhancedheader_tool.setIgnoredRssFeeds(ignored_rss_feeds)

try:
  utils_tool.addPortalMessage(_(u'label_enhancedheader_config_updated', u'dcEnhancedHeader configuration updated.'))
  return state.set(status='success')
except:
  return state.set(status='success', portal_status_message='dcEnhancedHeader configuration updated.')


